## org.h2.log
Class RedoLogRecord

    java.lang.Object
      org.h2.log.RedoLogRecord

    public class RedoLogRecord

extends java.lang.Object

Represents a redo-log record. Such records are only used when recovering.

Field Summary
`byte[]` `data` The data.
`int` `offset` The offset in the data byte array.
`int` `recordId` The position in the data file.
`int` `sequenceId` The sequence id.
`Storage` `storage` The storage object to where this log record belongs to.

Constructor Summary
`RedoLogRecord()`

Method Summary
`int` `getSize()` Get the estimated memory size used by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### storage

    public Storage storage

  The storage object to where this log record belongs to.

### sequenceId

    public int sequenceId

  The sequence id. This id is used to sort the records in the same order as they appear in the log file.

### recordId

    public int recordId

  The position in the data file.

### offset

    public int offset

  The offset in the data byte array.

### data

    public byte[] data

  The data.

Constructor Detail

### RedoLogRecord

    public RedoLogRecord()

Method Detail

### getSize

    public int getSize()

  Get the estimated memory size used by this object.

  Returns:
    the estimated memory size